/*
 CSS for the main interaction
*/
#Id_sidebar_consultas{
    height: 100%;
    width: 280px;
    /*background: rgb(0 0 0 / 20%);*/
    background: transparent;
    box-shadow: 0 .3rem .8rem rgba(0, 0, 0, .12) !important;
    transition: all .2s ease-out;
}
#lblTitle{
    color: rgba(228, 224, 30, 0.85) !important;
}
iframe{
    border-style: none;
}
.wrapper {
    background-image: linear-gradient(180deg, rgba(50, 70, 80, 0.9), rgba(13, 16, 27)), url("../../../img/SIN/cover-dark.jpg");
    background-position: right bottom, left top;
    background-repeat: no-repeat, repeat;
    background-size: 100% 100%;
    background-attachment: fixed;
    display: flex;
    align-items: stretch;
    overflow-x: auto;
    font-family: var(--font-family) !important;
    z-index: 0;
}
.title-mendiarios{
    font-size: 1.2em;
    font-weight: 600;
    color: #F0F0F0;
}

.form-control{
    font-size: 0.86em !important;
}

li {
    margin: 0 !important;
}

.size-sidebar-show {
    padding-left: 280px !important;
}
.size-sidebar-hide {
    padding-left: 0 !important;
}
/*Se  ocupa para dar funcionalidad al TAB*/
.tabset > input[type="radio"] {
    position: absolute;
    left: -200vw;
}
  
.tabset .tab-panel {
    display: none;
}
  
  .tabset > input:first-child:checked ~ .tab-panels > .tab-panel:first-child,
  .tabset > input:nth-child(3):checked ~ .tab-panels > .tab-panel:nth-child(2),
  .tabset > input:nth-child(5):checked ~ .tab-panels > .tab-panel:nth-child(3),
  .tabset > input:nth-child(7):checked ~ .tab-panels > .tab-panel:nth-child(4),
  .tabset > input:nth-child(9):checked ~ .tab-panels > .tab-panel:nth-child(5),
  .tabset > input:nth-child(11):checked ~ .tab-panels > .tab-panel:nth-child(6),
  .tabset > input:nth-child(13):checked ~ .tab-panels > .tab-panel:nth-child(7),
  .tabset > input:nth-child(15):checked ~ .tab-panels > .tab-panel:nth-child(8) {
    display: block;
  }
  #htmlTarget label{
      color: #F0F0F0;
  }
.tabset > label {
    position: relative;
    display: inline-block;
    padding: 15px 15px 7px;
    border: 1px solid transparent;
    /*border-bottom: 0;*/
    cursor: pointer;
    font-size: 0.95rem;
    /*color: rgb(42, 78, 122, 0.6);*/
    
    color:#fafafa;
    border-radius: 0px 0px 0px 0px;
    margin-bottom: 0 !important;
  }
  
  .tabset > label:hover,
  .tabset > input:focus + label {
    /*color: rgb(42, 78, 122, 1);*/
    color: #FFFFFF;
    font-weight: 600;
  }
  .table tbody tr:hover{
    color: rgba(228, 224, 30, 0.85) !important;
  }
  
  /*
  .tabset > label:hover::after,
  .tabset > input:focus + label::after,
  .tabset > input:checked + label::after {
    color: rgb(42, 78, 122, 1);
  }*/
  
  .tabset > input:checked + label {
    border-color: #ccc;
    border-bottom: 1px solid #ccc;
    /*background-image: linear-gradient(to top, #b1c2dc, #b4cce1, #bad5e5, #c2dee9, #cce7ec);*/
    color: rgba(228, 224, 30, 0.85) !important;
  }
  
  .tab-panel {
    padding: 0px 0;
  }
  
  *,
  *:before,
  *:after {
    box-sizing: border-box;
  }
  
  body {
    padding:  0px;

  }
  
  .tabset {
    max-width: 100%;
    border-style: solid;
    border-color: #F0F0F0;
    border-width: 1px;
  }

.tabset ::-webkit-scrollbar{
    width: 10px !important;
}

.tabset ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 0px grey; 
    background-color: rgba(29, 31, 31, 1);
    border-radius: 10px;
  }
   
  /* Handle */
  .tabset ::-webkit-scrollbar-thumb {
    background: rgb(242, 244, 244, 0.65); 
    border-radius: 10px;
  }
  
  /* Handle on hover */
  .tabset ::-webkit-scrollbar-thumb:hover {
    background: rgb(242, 244, 244, 0.85);  
  }

p {
    font-size: 1em;
    font-weight: 300;
    line-height: 1.7em;
}

a,
a:hover,
a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

.navbar {
    padding: 15px 10px;
    background: #fff;
    border: none;
    border-radius: 0;
    margin-bottom: 40px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.btn-custom{
  background-color: #fff;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}

#sidebar {
    position: fixed;
    height: 100vh;
    margin-top: 1px;
    width: 280px;
    /*background: rgb(255 255 255 / 20%);*/
    background: transparent;
    border-right-style: solid;
    border-right-color: #F0F0F0;
    border-right-width: 0.05em;
    box-shadow: 0 .3rem .8rem rgba(0, 0, 0, .12) !important;
    transition: all .2s ease-out;
}
.sidebar-head{
    height: 6%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    font-weight: 600;
    color:  rgba(228, 224, 30, 0.85) !important;
    border-bottom-color: var(--color-gris-600);
    border-bottom-style: solid;
    border-bottom-width: 1px;
}
.sidebar-head p{
    margin: 0;
}
.sidebar-body{
    overflow-y: auto;
    height: 90%;
}
#datetimepicker1{
    width: 200px !important;
}

.i-bar-container{
    position: absolute;
    top: 0;
    right: 0;
    border-style: dotted;
    width: 50px;
}
.icono-bar {
    color: rgb(255, 255, 246);
    font-size: 30px;
    font-weight: 700;
    position: absolute;
    left: 16px;
    margin-left: 5px;
    line-height: 60px;
    cursor: pointer;
    opacity: 0;
    transition: all 0.3s linear;
}
.icon-close{
    color: rgb(255, 255, 246);
    font-size: 25px;
    line-height: 60px;
    position: absolute;
    left: 240px;
    cursor: pointer;
    opacity: 1;
    transition: all 0.3s linear;
}
.icono-bar:hover{
    font-size: 29px;
}
.icon-close:hover{
    font-size: 24px;
}
.mostrar-sidebar_consultas {
    left: 0px !important;
}
.ocultar-sidebar_consultas {
    left: -280px !important;
}
#sidebar.active {
    margin-left: -250px;
}

#sidebar .sidebar-header {
    padding: 20px;
    /*background: #ffffff;*/
}

#sidebar ul.components {
    padding: 20px 0;
    /*border-bottom: 1px solid #47748b;*/
}

#sidebar ul p {
    font-weight: 600;
    font-size: 1rem;
    /*color: rgba(42, 78, 122, 1);*/
    color: rgba(228, 224, 30, 0.85) !important;
    padding: 10px 10px 0px 10px;
    margin: 0;
}

#sidebar ul li a {
    padding: 10px 10px 10px 20px;
    font-size: 0.9em;
    display: block;
    color: rgb(229, 231, 233) !important;
    
}

#sidebar ul li a:hover {
    color: rgb(255, 255, 255, 0.9);
    margin-left: 10px;
}

.show-spinner {
    display: block !important;
}

.hide-spinner {
    display: none !important;
}

.spinner-default {
    position: absolute; 
    top:2px; 
    left:2px;
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: -10px;
    transform: translateY(-50%);
}

ul.CTAs a {
    text-align: center;
    font-size: 0.9em !important;
    display: block;
    border-radius: 5px;
    margin-bottom: 5px;
}

a.download {
    background: #fff;
    color: var(--color-azulOscuro);
}

a.article,
a.article:hover {
    background: var(--color-azulOscuro) !important;
    color: #fff !important;
}
.title-consultas{
    text-align: center;
}

#content {
    /*background-image: linear-gradient(to top, #3e5d8c, #5680a5, #77a2bc, #9fc5d3, #cce7ec);*/
    background-image: linear-gradient(180deg, rgba(50, 70, 80, 0.9), rgba(13, 16, 27)), url("../../../img/SIN/cover-dark.jpg");
    width: 100%;
    height: auto;
    padding: 20px 20px 1px 20px;
    transition: all 0.3s;
    background-size: 100% 100%;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
}
.shadow{
    -webkit-box-shadow: 10px 10px 5px 0px rgba(255,255,255,0.18);
	-moz-box-shadow: 10px 10px 5px 0px rgba(255,255,255,0.28);
	box-shadow: 10px 10px 5px 0px rgba(255,255,255,0.28); 
    border-radius: 10px;
}
.table thead{
    top:0;
    z-index: 1;
    width: 500px;
    background-color: rgba(234, 236, 238, 0.45) !important;
}
.fa-circle-info{
    color: rgba(228, 224, 30, 0.85) !important;  
}
.columna-fixed {
    position: sticky;
    left:0;
}
.table  thead th{
    display: flexbox;
    padding: 0px  5px 0px 5px !important;
    margin:0px;
    font-size: 12px;
    text-align: center;
    align-items: center;
    vertical-align: middle;
    min-width: 150px;
    color:#F0F0F0;
}

.table  thead td{
    display: flexbox;
    padding: 0px  5px 0px 5px !important;
    margin:0px;
    font-size: 12px;
    text-align: center;
    align-items: center;
    vertical-align: middle;
    min-width: 150px;
    color:#F0F0F0;
}


table, tr, th, td {
    border-collapse: collapse !important;
    border-spacing: 0 !important;
  }
.table .tabla-secundaria{
    background-color: transparent;
}

.contenedor-consultas{
    /*background-color: rgba(255, 255, 255, 1);*/
    background-color: transparent;
    margin-left: 1rem;
    margin-right: 1rem;
}
.table-responsive{
    /*height: 68vh;*/
    width: 100%;
}
.size-cont-consultas-85vh{
    width: 82vw !important;
}

.size-cont-consultas-95vh{
    width: 95vw !important;
}

.table tbody {
    font-size: 0.68em;
    color:#FAFAFA;
    background: rgba(255,255,255,0.20) !important;
    
}
.breadcrumbs-memn-diarios {
    border: 1px solid #cbd2d9;
    border-radius: 0.3rem;
    display: inline-flex;
    overflow: hidden;
    background-color: transparent;
    color: #999999 !important;
}

.table tbody .texto{
    text-align: left;
    font-weight: bold;
    vertical-align: middle;
}

.table tbody .valores{
    text-align: right;
    vertical-align: middle;
}
.table tbody .valores-gen-Forzada{
    text-align: right;
    vertical-align: middle;
    background-color: rgba(228,224,30,0.55)
}
.table tbody .valores-totales{
    text-align: right;
    font-weight: bold !important;
}
.table > :not(caption) > * > * {
    padding: 2px 2px 2px 2px;
}

.fa-2xl{
    font-size: 5rem;
}

.column-hora {
    position: sticky;
    left: 0;
    vertical-align: middle !important;
    min-width: 60px !important;
}

.texto-hora{
    text-align: center;
    vertical-align: middle;
    font-weight: 700;
    /*background-color: #EEEEEE !important;*/
    background-color: rgba(234, 236, 238, 0.45) !important;
    min-width: 70px !important;
}
.texto-centrado{
    text-align: center;
    vertical-align: middle;
    font-weight: 700;
}
.btn-consultar{
    margin:0;
    width: 120px;
    height: 40px;
    border-style: solid;
    border-width: 1px;
    border-color: rgba(228, 224, 30, 0.85) !important;
    border-radius: 5px;
    background-color: rgba(0,0,0,0.1);
    transition: all 0.3s linear;
}
.btn-consultar > a{
    color: #F0F0F0 !important; 
    text-decoration:none
}
.btn-consultar:hover{
    width: 110px;
    border-color: rgb(19, 42, 85);

}
#pdfContainer {
    height: 800px;
}
.active-sidebar{
    background-image: linear-gradient(to left, #bcd2f4, #a5c5e7, #8eb9d9, #76accb, #5ea0bb);
    margin-left: 15px;
    padding-left: 0px;
    margin-right: 0;
    border-top-left-radius: 25px;
    border-bottom-left-radius: 25px;
}
#sidebar ul li a:hover{
    border-color: transparent !important;
}

.contenedor-consultas::-webkit-scrollbar{
    width: 2px !important;
}
.contenedor-consultas::-webkit-scrollbar-track{
    background: #f1f1f1;
    border-radius:25px;
}
.contenedor-consultas::-webkit-scrollbar-thumb{
    background: #80a1d6;
    border-radius: 25px;
}

.estilo-columna-agente{
    background-color: rgba(234, 236, 238, 0.45) !important; 
    font-weight: bold !important;
    text-align: left;
    vertical-align: middle;
}


@media (max-width: 975px) {
    
    #sidebar {
        position: absolute !important;
        color:white !important;
        background: rgba(14, 29, 52, 0.9) !important;
        z-index: 10;
        width: 80% !important;
        max-width: 80%;
    }
    .margin-top-sidebar{
        margin-top: 74px;
    }
    .mostrar-sidebar_consultas {
        left: 0px !important;
    }
    .ocultar-sidebar_consultas {
        left: -100% !important;
    }
    .icon-close{
        left: 90%;
    }
    .size-sidebar-show{
       padding-left: 0px !important;
    }
    .breadcrumb li{
        font-size:0.8rem;
    }
    #curva{
        overflow: scroll;
    }
    .tabset > label{
        font-size: 0.85rem;
        padding: 10px 10px 7px;
    } 
    #contenedorCurvaCarga{
        width: 800px !important;
        height: 450px !important;
    }
    #contenedorCurvaCarga > .highcharts-container, .highcharts-root {
        height: 400px !important;
    }
    .table thead th {
        font-size: 0.7rem;
    }
}